<?php
/*
  欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
  
*/

require_once '../config_a/common.inc2010.php';
$switchlanglink = 'mod_menu/mod_mainmenu.php?';
$menu_content = 'y';
ifhave_lang(LANG);//TEST if have lang,if no ,then jump

if($act <> "pos") zb_insert($_POST);
/********************************************/

if(is_numeric($tid)) {   ifhasid(TABLE_MENU,$tid);}


if($file=='') $file='list';
$filearr =  array("list", "addedit");  
if(!in_array($file,$filearr))   {echo 'file is error.';exit;}
//
/************************/
//$sql = "SELECT id from ".TABLE_MENU." where pbh='".USERBH."'  order by id desc";
 // $num = getnum($sql);
 // $limitnum='菜单限制数：'.$num_menu.' / 已用数：'.$num;
 
$jumpv='mod_mainmenu.php?lang='.LANG;
$jumpvf='mod_mainmenu.php?lang='.LANG.'&file='.$file;
$jumpvadd='mod_mainmenu.php?lang='.LANG.'&file=addedit&act=add'; 
$jumpvinsert='mod_mainmenu.php?lang='.LANG.'&file=addedit&act=insert'; 

$jumpvedit='mod_mainmenu.php?lang='.LANG.'&file=addedit&act=edit'; 
$jumpvupdate='mod_mainmenu.php?lang='.LANG.'&file=addedit&act=update'; 

 
 $title = '菜单管理';
 if($act=="add") $title2 = '<a class="breadtitle" href="'.$jumpv.'">返回菜单管理</a> - 添加';
 else if($act=='edit') $title2 = '<a  class="breadtitle"  href="'.$jumpv.'">返回菜单管理</a> - 修改';
 else $title2 = '菜单管理';
 
if($act == "sta_menu")
{ 
    dmnode_sta($v,$tid,TABLE_MENU);
 
    jump($jumpv);
}
if($act == "pos")
{
  dmnodepos($_POST,TABLE_MENU);
 
      jump($jumpv);
}
//-------------------
if($act == "del")
{ 
   $ss = "select id from ".TABLE_MENU." where ppid='$pidname'   $andlangbh limit 1"; 
    $row = getrow($ss);
    if($row=='no'){
         $ss2 = "delete from ".TABLE_MENU."  where pidname='$pidname'   $andlangbh limit 1";
     //echo $ss2.'<br />'; 
      iquery($ss2); 
      }
      else {alert('出错，该菜单组 里 有菜单！');jump($jumpv); }

 
}

 

require_once HERE_ROOT.'mod_common/tpl_header.php';

?>

 
<div class="page-title-box">
  <h4 class="page-title"><?php echo $title2?></h4>
  
  <div class="clearfix"></div>
</div>
<!--End Page Title-->          


<!--Start row-->
<div class="row">
  <div class="col-md-12">
   <div class="white-box">


<?php
  if($file=='list'){
?>
  <div class="contenttop">
  <a href="<?php echo $jumpvadd?>"><i class="fa fa-plus-circle"></i> 添加菜单组</a>
</div>
<?php
  }
?>


     
<p style="font-size:16px">DM系统是独立自主研发，DM不是免费的，正式使用，<a href="https://www.demososo.com/buy.php" class="but1" target="_blank">请淘宝购买> </a>。购买后要重新安装，所以不要在试用版里开始制作网站。 </p>

 </div></div></div>
<?php
require_once HERE_ROOT.'mod_common/tpl_footer.php';
?>



